spring.datasource.url=${DATASOURCE_URL:jdbc:mysql://db_url/db_name?useUnicode=true&characterEncoding=utf8&createDatabaseIfNotExist=true&&autoReconnect=true&useSSL=false}
spring.datasource.username=${DATASOURCE_USERNAME:db_user}
spring.datasource.password=${DATASOURCE_PASSWORD:dp_password}
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.liquibase.change-log=classpath:db/liquibase-changelog.xml
spring.liquibase.parameters.admin.username=${ADMIN_USERNAME:administrator}
spring.liquibase.parameters.admin.password=${ADMIN_PASSWORD:OFKFvBCMnyZ012NSNzzFmw==}
spring.jpa.hibernate.ddl-auto=none
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect

logging.path=./target/logs
logging.level.root=INFO
logging.level.academy.softserve.eschool=DEBUG

jwt.token.header=Authorization
jwt.token.prefix=Bearer 
jwt.secret=${random.value}
jwt.expiration=${JWT_EXPIRATION:3600}
jwt.globalExpiration = 86400

security.password.encodingKey=${PASSWORD_ENCODING_KEY:gN3K0S2fiv}

spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true

spring.mail.host=${MAIL_HOST:smtp.gmail.com}
spring.mail.port=${MAIL_PORT:587}
spring.mail.username=${MAIL_LOGIN:}
spring.mail.password=${MAIL_PASSWORD:}
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.starttls.enable=true

academy.softserve.eschool.host = ${ESCHOOL_APP_HOST:http://localhost:8080}

academy.softserve.eschool.password_reset_link_template = %s/ui/resetPassword?token=%s
